Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.aop
Class CollectionInterceptorUtil

    java.lang.Object
      org.jboss.cache.aop.CollectionInterceptorUtil

public class CollectionInterceptorUtil
extends Object

CollectionInterceptorUtil contains helper methods for the interceptors of the different collection types.

Author:
  Harald Gliebe

Constructor Summary
`CollectionInterceptorUtil()`

Method Summary
`static org.jboss.aop.proxy.ClassProxy` | `createProxy(Class clazz, org.jboss.aop.advice.Interceptor interceptor)`
`static Map` | `getManagedMethods(Class clazz)`
`static Map` | `getMethodMap(Class clazz)`
`static Object` | `invoke(org.jboss.aop.joinpoint.Invocation invocation, Object interceptor, Map methodMap, Map managedMethods)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CollectionInterceptorUtil

    public CollectionInterceptorUtil()

Method Detail

### createProxy

    public static org.jboss.aop.proxy.ClassProxy createProxy(Class clazz,
                                                             org.jboss.aop.advice.Interceptor interceptor)
                                                      throws Exception

  Throws:
    `Exception`

### getMethodMap

    public static Map getMethodMap(Class clazz)

### getManagedMethods

    public static Map getManagedMethods(Class clazz)

### invoke

    public static Object invoke(org.jboss.aop.joinpoint.Invocation invocation,
                                Object interceptor,
                                Map methodMap,
                                Map managedMethods)
                         throws Throwable

  Throws:
    `Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.